Bug 123255 - Menubar -> Edit -> Comment group
Summary: Menubar -> Edit -> Comment group
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: andreas_k
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-08 09:06 UTC by andreas_k
Modified: 2019-02-27 18:23 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
comment's arrangement (200.02 KB, image/png)
2019-02-08 09:06 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2019-02-08 09:06:19 UTC
Created attachment 149011 [details]
comment's arrangement

This bug is about the Comment section in the Menubar (Menubar -> Edit -> Comment group)

1. Track Changes and Comments are both part of the review process so I'd suggest to move the Comment Subsection to the Track Changes Subgroup.

2. Add Insert Annoncement and Show Annoncement to the Comment submenu that it has the same layout than the Track Changes submenu

3. Group Show Comment and Show Track Changes together in Menubar -> View
Comment 1 Heiko Tietze 2019-02-10 18:01:15 UTC
Andreas submitted a patch [1] but asks for acceptance first.

The patch contains for more reason more changes (in total 10 commands are moved for Writer, and similarly for other modules.

[1] https://gerrit.libreoffice.org/#/c/67530/
Comment 2 Heiko Tietze 2019-02-14 13:42:41 UTC
We discussed the idea in the design meeting. Menu changes should be done very carefully and while moving Edit > "Edit Hyperlink" below "Comments" and View > "Show Comments" below "Track Changes" is not a big change we should get more thumbs. So let's keep the ticket open for further input.
Comment 3 Cor Nouws 2019-02-14 14:04:07 UTC
makes sense and minor disruption > +1
Comment 4 Commit Notification 2019-02-18 08:46:56 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d341b12a924c5c901021ac0d36d8bd8dbc69b478%5E%21

tdf#123255 writer Menubar Comment group rearrangement

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Buovjaga 2019-02-27 18:23:55 UTC
What about Help content?